Package org.apache.commons.io.channels

# Class FilterWritableByteChannel.Builder

java.lang.Object
org.apache.commons.io.build.AbstractSupplier<FilterWritableByteChannel<WritableByteChannel>,FilterChannel.AbstractBuilder<FilterWritableByteChannel<WritableByteChannel>,WritableByteChannel,FilterWritableByteChannel.Builder>>
org.apache.commons.io.build.AbstractOriginSupplier<FilterWritableByteChannel<WritableByteChannel>,FilterChannel.AbstractBuilder<FilterWritableByteChannel<WritableByteChannel>,WritableByteChannel,FilterWritableByteChannel.Builder>>
org.apache.commons.io.build.AbstractStreamBuilder<FilterWritableByteChannel<WritableByteChannel>,FilterChannel.AbstractBuilder<FilterWritableByteChannel<WritableByteChannel>,WritableByteChannel,FilterWritableByteChannel.Builder>>
org.apache.commons.io.channels.FilterChannel.AbstractBuilder<FilterWritableByteChannel<WritableByteChannel>,WritableByteChannel,FilterWritableByteChannel.Builder>
org.apache.commons.io.channels.FilterWritableByteChannel.AbstractBuilder<FilterWritableByteChannel<WritableByteChannel>,WritableByteChannel,FilterWritableByteChannel.Builder>
org.apache.commons.io.channels.FilterWritableByteChannel.Builder

All Implemented Interfaces:
  `IOSupplier<FilterWritableByteChannel<WritableByteChannel>>`

Enclosing class:
  `FilterWritableByteChannel<C extends WritableByteChannel>`

public static class FilterWritableByteChannel.Builder extends FilterWritableByteChannel.AbstractBuilder<FilterWritableByteChannel<WritableByteChannel>,WritableByteChannel,FilterWritableByteChannel.Builder>
Builds instances of `FilterByteChannel`.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `Builder()`
  Builds instances of `FilterByteChannel`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FilterWritableByteChannel<WritableByteChannel>`
  `get()`
  Gets a result.

  ### Methods inherited from class org.apache.commons.io.build.AbstractStreamBuilder

  `getBufferSize, getBufferSizeDefault, getByteArray, getChannel, getCharSequence, getCharset, getCharsetDefault, getFile, getInputStream, getOpenOptions, getOutputStream, getPath, getRandomAccessFile, getReader, getWriter, setBufferSize, setBufferSize, setBufferSizeChecker, setBufferSizeDefault, setBufferSizeMax, setCharset, setCharset, setCharsetDefault, setOpenOptions`

  ### Methods inherited from class org.apache.commons.io.build.AbstractOriginSupplier

  `checkOrigin, getOrigin, hasOrigin, newByteArrayOrigin, newChannelOrigin, newCharSequenceOrigin, newFileOrigin, newFileOrigin, newInputStreamOrigin, newOutputStreamOrigin, newPathOrigin, newPathOrigin, newRandomAccessFileOrigin, newRandomAccessFileOrigin, newReaderOrigin, newURIOrigin, newWriterOrigin, setByteArray, setChannel, setCharSequence, setFile, setFile, setInputStream, setOrigin, setOutputStream, setPath, setPath, setRandomAccessFile, setRandomAccessFile, setReader, setURI, setWriter`

  ### Methods inherited from class org.apache.commons.io.build.AbstractSupplier

  `asThis`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.commons.io.function.IOSupplier

  `asSupplier, getUnchecked`

- ## Constructor Details

  - ### Builder

    protected Builder()
    Builds instances of `FilterByteChannel`.

- ## Method Details

  - ### get

    public FilterWritableByteChannel<WritableByteChannel> get() throws IOException
    Description copied from interface: `IOSupplier`
    Gets a result.
    Returns:
      a result.
    Throws:
      `IOException` - if an I/O error occurs.
    See Also:
      - `IOSupplier.getUnchecked()`